# Interface VulkanBufferImageCopyType

All Known Implementing Classes:
  `VulkanBufferImageCopy`

@Immutable public interface VulkanBufferImageCopyType
Structure specifying a buffer ↔ image copy operation.

See Also:
  - "VkBufferImageCopy"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default int`
  `bufferImageHeight()`
  `default long`
  `bufferOffset()`
  `default int`
  `bufferRowLength()`
  The bufferRowLength and bufferImageHeight specify in texels a subregion of a larger two- or three-dimensional image in buffer memory, and control the addressing calculations.
  `default VulkanExtent3D`
  `imageExtent()`
  `default VulkanOffset3D`
  `imageOffset()`
  `VulkanImageSubresourceLayers`
  `imageSubresource()`

- ## Method Details

  - ### bufferOffset

    @Default default long bufferOffset()
    Returns:
      The offset in bytes from the start of the buffer object where the image data is copied from or to.

  - ### bufferRowLength

    @Default default int bufferRowLength()
    The bufferRowLength and bufferImageHeight specify in texels a subregion of a larger two- or three-dimensional image in buffer memory, and control the addressing calculations. If either of these values is zero, that aspect of the buffer memory is considered to be tightly packed according to the imageExtent.
    Returns:
      The buffer row length

  - ### bufferImageHeight

    @Default default int bufferImageHeight()
    Returns:
      The buffer image height

  - ### imageSubresource

    VulkanImageSubresourceLayers imageSubresource()
    Returns:
      An image specifying the specific image subresources of the image used for the source or destination image data.

  - ### imageOffset

    @Default default VulkanOffset3D imageOffset()
    Returns:
      The initial x, y, z offsets in texels of the sub-region of the source or destination image data.

  - ### imageExtent

    @Default default VulkanExtent3D imageExtent()
    Returns:
      The size in texels of the image to copy in width, height and depth.